{
    "nodes": [
      {
        "host": "portal-backend.{{ inv_gd.ns_name }}.svc.cluster.local",
        "port": 80,
        "weight": 1
      }
    ],
    "timeout": {
      "connect": 6,
      "send": 6,
      "read": 6
    },
    "type": "roundrobin",
    "checks": {
      "active": {
        "concurrency": 10,
        "healthy": {
          "http_statuses": [
            200,
            302
          ],
          "interval": 5,
          "successes": 2
        },
        "host": "portal-backend.{{ inv_gd.ns_name }}.svc.cluster.local",
        "http_path": "/",
        "port": 80,
        "timeout": 2,
        "type": "http",
        "unhealthy": {
          "http_failures": 5,
          "http_statuses": [
            429,
            404,
            500,
            501,
            502,
            503,
            504,
            505
          ],
          "interval": 5,
          "tcp_failures": 2,
          "timeouts": 3
        }
      }
    },
    "scheme": "http",
    "pass_host": "pass",
    "name": "{{ api_management_settings.masterportal_config_api_name }}",
    "desc": "{{ api_management_settings.masterportal_config_api_description }}",
    "keepalive_pool": {
      "idle_timeout": 60,
      "requests": 1000,
      "size": 320
    }
  }